Page Summary
-
The endpoint allows retrieving a list of locations for a specific brand.
-
The request requires a
parentpath parameter specifying the brand identifier. -
Optional query parameters include
pageSizeandpageTokenfor pagination. -
The response contains a list of
locationsand anextPageTokenfor retrieving additional results.
Lists all the locations for a brand.
HTTP request
GET https://businesscommunications.googleapis.com/v1/{parent=brands/*}/locations
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The unique identifier of the brand. If the brand identifier is "1234", this parameter resolves to "brands/1234". |
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of results to be returned by the server. The server may further constrain the maximum number of results returned in a single page. If the pageSize is 0, the server will decide the number of results to be returned. |
pageToken |
The nextPageToken value returned from a previous List request, if any. |
Request body
The request body must be empty.
Response body
A list of locations.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"locations": [
{
object ( |
| Fields | |
|---|---|
locations[] |
List of locations. |
nextPageToken |
The pagination token to retrieve the next page of results. If the value is "", it means no further results for the request. |